<template>
    <AddSize v-if="condition==='addSize'" @sent="selectCondition"/>
    <SizeView v-else-if="condition==='sizeView'" @sent="selectCondition" @edit="editCondition"/>
    <EditSize v-else-if="condition==='editSize'" :size="info" @sent="selectCondition"/>
</template>

<script>
    import AddSize from "./AddSize";
    import EditSize from "./EditSize";
    import SizeView from "./SizeView";
    export default {
        data(){
            return {
                condition :'sizeView',
                info:'',
            };
        },
        mounted() {
            //console.log('category component');
        },
        methods:{
            selectCondition(text){
                this.condition=text;
            },
            editCondition(object){
                this.condition='editSize';
                this.info=object;
                //console.log(object);
            },
        },
        components:{AddSize,EditSize,SizeView}
    }
</script>
